For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
      • POSTingest - Local Documents
      • POSTingest - Remote Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
DocumentsIngest Documents

ingest - Local Documents

POST
https://api.groundx.ai/api/v1/ingest/documents/local
POST
/api/v1/ingest/documents/local
1from groundx import Document, GroundX
2
3client = GroundX(api_key="YOUR_API_KEY")
4
5client.ingest(
6 documents=[
7 Document(
8 bucket_id=1234,
9 file_name="my_file1.txt",
10 file_path="/local/path/file2.pdf",
11 file_type="txt",
12 search_data=dict(
13 key = "value",
14 ),
15 )
16 ]
17)
1{
2 "ingest": {
3 "processId": "uuid",
4 "status": "queued"
5 }
6}
Upload documents hosted on a local file system into a GroundX bucket. [Supported Document Types and Ingest Capacities](https://docs.eyelevel.ai/documentation/fundamentals/document-types-and-ingest-capacities)
Was this page helpful?
Previous

ingest - Remote Documents

Next
Built with

Upload documents hosted on a local file system into a GroundX bucket.

Supported Document Types and Ingest Capacities

Authentication

X-API-Keystring
API Key authentication via header

Request

This endpoint expects a list of objects.
blobstringRequiredformat: "binary"
The binary file data being ingested.
metadataobjectRequired

Response

Documents successfully uploaded
ingestobject

Errors

400
Bad Request Error
401
Unauthorized Error